Bug 1278968 - crash on exit
crash on exit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xrootd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 16:49 EST by nucleo
Modified: 2016-01-10 18:54 EST (History)
5 users (show)

See Also:
Fixed In Version: xrootd-4.2.3-3.fc23 xrootd-4.2.3-3.fc22 xrootd-4.2.3-3.el7 xrootd-4.2.3-3.el5 xrootd-4.2.3-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-02 17:20:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nucleo 2015-11-06 16:49:14 EST
Description of problem:
xrdfs crashes after command execution.

Version-Release number of selected component (if applicable):
xrootd-client-4.2.3-1.fc23.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Run 'xrdfs t3se01.psi.ch ls'
2.
3.

Actual results:
/-help.root
/t3se01.psi.ch:8443
/user
/store
Segmentation fault


Expected results:
xrdfs should not crash.

Additional info:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffff4903700 (LWP 17883)]
uw_frame_state_for (context=context@entry=0x7ffff4902d30, fs=fs@entry=0x7ffff4902a80) at ../../../libgcc/unwind-dw2.c:1249
1249          return MD_FALLBACK_FRAME_STATE_FOR (context, fs);
Missing separate debuginfos, use: dnf debuginfo-install keyutils-libs-1.5.9-7.fc23.x86_64 krb5-libs-1.13.2-12.fc23.x86_64 libcom_err-1.42.13-3.fc23.x86_64 libevent-2.0.21-7.fc23.x86_64 libselinux-2.4-4.fc23.x86_64 ncurses-libs-5.9-21.20150214.fc23.x86_64 nss-mdns-0.10-16.fc23.x86_64 openssl-libs-1.0.2d-2.fc23.x86_64 pcre-8.37-5.fc23.x86_64 readline-6.3-6.fc23.x86_64 zlib-1.2.8-9.fc23.x86_64
(gdb) bt full
#0  uw_frame_state_for (context=context@entry=0x7ffff4902d30, fs=fs@entry=0x7ffff4902a80) at ../../../libgcc/unwind-dw2.c:1249
        fde = 0x0
        cie = <optimized out>
        aug = <optimized out>
        insn = <optimized out>
        end = <optimized out>
#1  0x00007ffff69c802b in _Unwind_ForcedUnwind_Phase2 (exc=0x7ffff4903d70, context=0x7ffff4902d30) at ../../../libgcc/unwind.inc:155
        fs = {regs = {reg = {{loc = {reg = 0, offset = 0, exp = 0x0}, how = REG_UNSAVED} <repeats 18 times>}, prev = 0x0, cfa_offset = 0, cfa_reg = 0, 
            cfa_exp = 0x0, cfa_how = CFA_UNSET}, pc = 0x0, personality = 0x0, data_align = 0, code_align = 0, retaddr_column = 0, fde_encoding = 0 '\000', 
          lsda_encoding = 0 '\000', saw_z = 0 '\000', signal_frame = 0 '\000', eh_ptr = 0x0}
        action = <optimized out>
        stop = 0x7ffff7bce520 <unwind_stop>
        stop_argument = 0x7ffff4902f30
        code = <optimized out>
        stop_code = <optimized out>
#2  0x00007ffff69c844d in _Unwind_Resume (exc=0x7ffff4903d70) at ../../../libgcc/unwind.inc:232
        this_context = {reg = {0x7ffff4902e28, 0x7ffff4902e30, 0x0, 0x7ffff4902e38, 0x0, 0x0, 0x7ffff4902e60, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7ffff4902e40, 
            0x7ffff4902e48, 0x7ffff4902e50, 0x7ffff4902e58, 0x7ffff4902e68, 0x0}, cfa = 0x7ffff4902e70, 
          ra = 0x7ffff7994485 <XrdCl::JobManager::RunJobs()+709>, lsda = 0x0, bases = {tbase = 0x0, dbase = 0x0, func = 0x7ffff69c83e0 <_Unwind_Resume>}, 
          flags = 4611686018427387904, version = 0, args_size = 0, by_value = '\000' <repeats 17 times>}
        cur_context = {reg = {0x7ffff4902e28, 0x7ffff4902e30, 0x0, 0x7ffff4902ec8, 0x0, 0x0, 0x7ffff4902ed0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7ffff4902ed8, 
            0x7ffff4902ee0, 0x7ffff4902ee8, 0x7ffff4902ef0, 0x7ffff4902ef8, 0x0}, cfa = 0x7ffff4902f00, ra = 0x800000, lsda = 0x0, bases = {tbase = 0x0, 
            dbase = 0x0, func = 0x7ffff79941c0 <XrdCl::JobManager::RunJobs()>}, flags = 4611686018427387904, version = 0, args_size = 0, 
          by_value = '\000' <repeats 17 times>}
        code = <optimized out>
#3  0x00007ffff7994485 in XrdSys::LinuxSemaphore::Wait (this=<optimized out>) at /usr/src/debug/xrootd-4.2.3/src/XrdSys/XrdSysLinuxSemaphore.hh:175
        r = <optimized out>
        value = <optimized out>
        val = <optimized out>
        waiters = <optimized out>
        cancelType = 0
#4  XrdCl::SyncQueue<XrdCl::JobManager::JobHelper>::Get (this=0x5555557854b8) at /usr/src/debug/xrootd-4.2.3/src/XrdCl/XrdClSyncQueue.hh:67
        i = <optimized out>
#5  XrdCl::JobManager::RunJobs (this=0x5555557854a0) at /usr/src/debug/xrootd-4.2.3/src/XrdCl/XrdClJobManager.cc:146
        h = <optimized out>
#6  0x0000000000800000 in ?? ()
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.
Comment 1 Mattias Ellert 2015-11-28 01:12:27 EST
Forwarded upstream:
https://github.com/xrootd/xrootd/issues/310
Comment 2 Fedora Update System 2015-12-24 05:30:40 EST
xrootd-4.2.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1a73602cd2
Comment 3 Fedora Update System 2015-12-24 05:30:47 EST
xrootd-4.2.3-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ad3b559eed
Comment 4 Fedora Update System 2015-12-24 05:30:48 EST
xrootd-4.2.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e7bfa58a38
Comment 5 Fedora Update System 2015-12-24 05:30:52 EST
xrootd-4.2.3-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b4e94810a4
Comment 6 Fedora Update System 2015-12-24 20:57:41 EST
xrootd-4.2.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1a73602cd2
Comment 7 Fedora Update System 2015-12-24 22:18:18 EST
xrootd-4.2.3-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b4e94810a4
Comment 8 Fedora Update System 2015-12-26 22:18:41 EST
xrootd-4.2.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ad3b559eed
Comment 9 Fedora Update System 2015-12-26 22:20:36 EST
xrootd-4.2.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c7eac73c68
Comment 10 Fedora Update System 2015-12-30 15:55:52 EST
xrootd-4.2.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e7bfa58a38
Comment 11 Fedora Update System 2016-01-02 17:20:21 EST
xrootd-4.2.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-01-07 22:23:59 EST
xrootd-4.2.3-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-01-10 13:52:24 EST
xrootd-4.2.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-10 16:53:37 EST
xrootd-4.2.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-10 18:54:15 EST
xrootd-4.2.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.